#pragma once
#include "NSlider.h"

class NPCOMMONUI_API CSliderDefUI : public INSliderUI
{
public:
	DECLARE_RTTI;

	typedef struct tagSLIDERDEFUI_ITEM 
	{
		IImage* pImgBgLeftTop;
		IImage* pImgBgRightBottom;
		IImage* pImgBgCenter;
		IImage* pImgPast;
		IImage* pImgThumb;
	} SLIDERDEFUI_ITEM;
	typedef SLIDERDEFUI_ITEM* PSLIDERDEFUI_ITEM;
	
	explicit CSliderDefUI(	CNSlider* pSlider,
							PSLIDERDEFUI_ITEM pUiItem);
	virtual ~CSliderDefUI();

	// override
	// INSliderUI
	void DrawSlider(HDC hDC, 
					LPRECT prcSlider, 
					LPRECT prcThumb, 
					CStateControl::eControlState eSliderState, 
					CStateControl::eControlState eThumbState);

protected:
private:
	BOOL _IsValidateUiItem();

	CNSlider* m_pSlider;
	SLIDERDEFUI_ITEM m_UiItem;
};